API
Core Resources

Store

The store endpoint includes ReCharge settings and other store specific information.

6 additions in V2, marked New

Everything marked New also works when you send X-Recharge-Version: 2021-11.

Endpoints

#The store object

The store endpoint includes Recharge settings and other store specific information.

Attributes

The store object
{
  "store": {
    "id": 89559201,
    "allow_customers_to_skip_delivery": 1,
    "checkout_logo_url": null,
    "checkout_platform": "recharge",
    "created_at": "2020-07-15T00:00:00+00:00",
    "currency": "USD",
    "customer_portal_base_url": null,
    "default_api_version": "2021-01",
    "email": "email@email.com",
    "external_platform": "shopify",
    "external_platform_domain": "store-id.myshopify.com",
    "identifier": "store-id",
    "merchant_portal_base_url": null,
    "name": "store-name",
    "phone": "5555555555",
    "enabled_presentment_currencies": [
      "USD"
    ],
    "enabled_presentment_currencies_symbols": [
      {
        "currency": "USD",
        "location": "before",
        "suffix": "",
        "symbol": "$"
      }
    ],
    "disabled_currencies_historical": [],
    "platform_domain": "store-id.myshopify.com",
    "storefront_domain": "shop.store-name.com",
    "subscriptions_enabled": true,
    "test_mode": false,
    "timezone": {
      "iana_name": "America/New_York",
      "name": "(GMT-05:00) Eastern Time (US & Canada)"
    },
    "updated_at": "2020-07-15T00:00:00+00:00",
    "weight_unit": "g"
  }
}

#Retrieve a store

GET/store
Retrieve store details.
Scopesread_storestore_info
Either the read_store or the store_info scope is sufficient.
GET/store
curl 'https://api.rechargeapps.com/store' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "store": {
    "id": 4797,
    "allow_customers_to_skip_delivery": 1,
    "checkout_logo_url": null,
    "checkout_platform": "recharge",
    "created_at": "2020-04-22T00:20:52+00:00",
    "currency": "USD",
    "customer_portal_base_url": null,
    "default_api_version": "2021-01",
    "email": "email@email.com",
    "enabled_presentment_currencies": [
      "USD"
    ],
    "enabled_presentment_currencies_symbols": [
      {
        "currency": "USD",
        "location": "before",
        "suffix": "",
        "symbol": "$"
      }
    ],
    "disabled_currencies_historical": [],
    "external_platform": "custom",
    "external_platform_domain": "store-id.myshopify.com",
    "identifier": "store-id",
    "merchant_portal_base_url": null,
    "name": "store-name",
    "platform_domain": "store-id.myshopify.com",
    "province": "Connecticut",
    "phone": "5555555555",
    "storefront_domain": "shop.store-name.com",
    "subscriptions_enabled": true,
    "test_mode": false,
    "timezone": {
      "iana_name": "America/New_York",
      "name": "(GMT-05:00) Eastern Time (US & Canada)"
    },
    "updated_at": "2020-04-25T00:20:52+00:00",
    "weight_unit": "g"
  }
}